=== pkg/smartos/esky/requirements.txt ===
GitPython==0.3.2.RC1
halite
-r ../../../opt_requirements.txt
-r ../../../cloud-requirements.txt
