=== debian/changelog ===
salt (2014.1.0-1) unstable; urgency=low

  * New upstream version

 -- Bret Palsson <bretep@gmail.com>  Thu, 20 Mar 2014 14:00:54 -0700

salt (0.17.0-1) unstable; urgency=low

  * New upstream version

 -- Joe Healy <joehealy@gmail.com>  Mon, 07 Oct 2013 20:48:54 +1100

salt (0.16.0-1) unstable; urgency=low

  * New upstream version

 -- Corey Quinn <corey@sequestered.net>  Mon, 01 Jul 2013 08:39:24 -0700

salt (0.15.3-1) unstable; urgency=low

  * New upstream version

 -- Corey Quinn <corey@sequestered.net>  Sat, 01 Jun 2013 16:34:12 -0700

salt (0.15.2-1) unstable; urgency=low

  * New upstream version

 -- Corey Quinn <corey@sequestered.net>  Wed, 29 May 2013 06:55:32 -0700

salt (0.15.1-1) unstable; urgency=low

  * New upstream version

 -- Corey Quinn <corey@sequestered.net>  Thu, 09 May 2013 11:08:04 -0700

salt (0.15.0-1) unstable; urgency=low

  * New upstream version

 -- Corey Quinn <corey@sequestered.net>  Mon, 06 May 2013 05:58:07 -0700

salt (0.14.1-1) unstable; urgency=low

  * new version

 -- Will Platnick <wplatnick@gmail.com>  Wed, 17 Apr 2013 20:10:10 -0700

salt (0.14.0-1) unstable; urgency=low

  * new version

 -- Sean Channel <pentabular@gmail.com>  Fri, 22 Mar 2013 20:10:10 -0700

salt (0.13.3-1) unstable; urgency=low

  * patch release for ipv6 issues

 -- Sean Channel <pentabular@gmail.com>  Mon, 18 Mar 2013 16:19:04 -0700

salt (0.13.2-1) unstable; urgency=low

  * bugfix release

 -- Sean Channel <pentabular@gmail.com>  Tue, 12 Mar 2013 14:26:25 -0700

salt (0.13.1-3) unstable; urgency=low

  * pre-depend on salt-common

 -- Sean Channel <pentabular@gmail.com>  Sat, 23 Feb 2013 12:15:49 -0800

salt (0.13.1) unstable; urgency=low

  * bugfix release

 -- Sean Channel <pentabular@gmail.com>  Sat, 16 Feb 2013 12:02:54 -0800

salt (0.13.0) unstable; urgency=low

  * new release

 -- Sean Channel <pentabular@gmail.com>  Sat, 9 Feb 2013 14:04:30 -0800

salt (0.12.1) unstable; urgency=low

  * bugfix release

 -- Sean Channel <pentabular@gmail.com>  Tue, 22 Jan 2013 08:35:36 -0800

salt (0.12.0) unstable; urgency=low

  * new Salt release

 -- Sean Channel <pentabular@gmail.com>  Sun, 13 Jan 2013 11:01:56 -0700

salt (0.11.1) unstable; urgency=low

  * new Salt release

 -- Sean Channel <pentabular@gmail.com>  Wed, 19 Dec 2012 23:27:14 -0700

salt (0.11.0) unstable; urgency=low

  * add bash_completion and ufw support files
  * use shared package support files in pkg/

 -- Sean Channel <pentabular@gmail.com>  Fri, 14 Dec 2012 10:52:35 -0700

salt (0.10.5-1) unstable; urgency=low

  * [f735ab9] Filter pyc files
  * [62462dd] New upstream version 0.10.5 (Closes: #690481)
  * [9726d8b] Install empty include dirs for salt-master and salt-minion.
  * [8705c6e] Build-depend on msgpack-python
  * [6832d36] Update config file templates

 -- Ulrich Dangel <uli@debian.org>  Mon, 19 Nov 2012 08:34:09 +0000

salt (0.10.5) unstable; urgency=low

  * new release
  * update for new run-time paths [f7eb703]
  * split up logrotate [75f1549]
  * remove upstart [51895d6]

 -- Sean Channel <pentabular@gmail.com>  Thu, 15 Nov 2012 23:51:50 -0700

salt (0.10.4-2) unstable; urgency=low

  * zmq3 support: b84f593770 86af5f03c3 c933c9e4ff a7e1d58f87 a5cdd8e313 c10bf6702f 2ea8b7e061 75f2a58b4e
  * HTML doc package: 7f673796e6 422244cd84 d13dbf0fc2 cfc44ee517 8c5675fb88
  * only run postrm on salt-common purge 5aa00b6bdd, bd2818797c
  * switch to debian init scripts 6db36a8307
  * add logrotate support cb9863e264
  * add systemd support 6f8a728b9d, 502434bccc
  * add dmidecode+pciutils to recommends 06dab92c56
  * misc & dependencies cleanup: 8f8d16c07c 7245c80bca bd68bf7a84

 -- Sean Channel <pentabular@gmail.com>  Wed, 14 Nov 2012 10:56:16 -0700

salt (0.10.4-1) unstable; urgency=low

  * [5431ef2] Imported Upstream version 0.10.4
  * [bcd48a0] Remove patch 'add_hacking_rst', applied upstream.
  * [3135d52] Fix salt-master restart (Patch by martin f. krafft)
    (Closes: #692064)
  * [15abbbb] Recommend lsb-release. With new upstream code this
    provides lsb* grains. (Closes: #690700)

 -- Christian Hofstaedtler <christian@hofstaedtler.name>  Sat, 10 Nov 2012 17:57:52 +0100

salt (0.10.4-1precise1) precise; urgency=low

  * New upstream version

 -- Tom Vaughan <thomas.david.vaughan@gmail.com>  Wed, 24 Oct 2012 10:53:56 -0300

salt (0.10.3) precise; urgency=low

  * New upstream version

 -- Tom Vaughan <thomas.david.vaughan@gmail.com>  Sun, 30 Aug 2012 13:34:10 -0700

salt (0.10.2-1~experimental+1) experimental; urgency=low

  * [cf57587] Import upstream version 0.10.2
  * [1ff7a9f] Add patch to create HACKING.rst

 -- Ulrich Dangel <uli@debian.org>  Sat, 04 Aug 2012 02:57:52 +0200

salt (0.10.2) precise; urgency=low

  * Non-maintainer upload.
  * New upstream version

 -- Dave Rawks <drawks@pandora.org>  Wed, 01 Aug 2012 13:34:10 -0700

salt (0.10.1-3) unstable; urgency=low

  * [efbd4a8] Change uploaders email address for Ulrich Dangel
  * [442ead1] Recommends dmidecode instead of Depend to support non-x86 systems.

 -- Ulrich Dangel <uli@debian.org>  Mon, 30 Jul 2012 12:40:53 +0200

salt (0.10.1-2) unstable; urgency=low

  * [bda6011] Add dmidecode to depends for salt-minion. (Closes: #680410)
  * [ad4786e] Depend on the same salt version
  * [671c2c3] Depend on debhelper version fixing #577040

 -- Ulrich Dangel <uli@debian.org>  Mon, 09 Jul 2012 23:15:27 +0200

salt (0.10.1-1) unstable; urgency=low

  [ Ulrich Dangel ]
  * [f1d627c] Always recreate orig.tar.gz with git-buildpackage

  [ Michael Prokop ]
  * Merge new upstream release
  * [ee1806a] Add python-augeas to suggests of salt-minion

 -- Michael Prokop <mika@debian.org>  Fri, 22 Jun 2012 18:56:02 +0200

salt (0.10.0-1) unstable; urgency=low

  [ Ulrich Dangel ]
  * Merge new upstream release
  * [bd10385] Change debian/source/format to quilt
  * [ba60137] Add ignore options
  * [54e70de] Copy service files from rpm package
  * [1d21548] Update install files
  * [c2737c9] Update pyversions file to use 2.6

